require 'estated/client'
require 'estated/config'
require 'estated/request_cache'
require 'estated/version'

module Estated
  def self.config
    @config ||= Config.new
  end

  def self.config=(config)
    @config = config
  end

  def self.configure
    yield(config)
  end

  def self.root
    File.expand_path('../..', __FILE__)
  end
end
