module Estated
  class Config
    attr_writer :api_key, :cache_ttl
    attr_accessor :mongo_client, :mongo_collection

    def cache_ttl
      @cache_ttl ||= 30 * 24 * 3600 # 30 days
    end

    def api_key
      @api_key ||= ENV['ESTATED_API_KEY']
    end

    def cache_enabled?
      !!mongo_client
    end
  end
end
